GET /search
loc.gov:library-of-congress-api
Summary: Search across all collections
Operation ID: searchAll
Auth: none
Operation ID: searchAll
Auth: none
Description
Search for items across all Library of Congress digital collections
Parameters (6)
all
(boolean, query, optional)
Include all items (true) or only digitized items (false)
dates
(string, query, optional)
Date range filter (e.g., 1900/1950)
fa
(string, query, optional)
Facet filter (e.g., original-format:book)
fo
(string, query, required)
Output format - must be 'json' for JSON response
Constraints: {'enum': ['json']}
q
(string, query, optional)
Search query string
sp
(integer, query, optional, default: 1)
Start page for pagination
Examples (3)
| Title | Type | URL | Action |
|---|---|---|---|
| Basic search for constitution | curl |
https://www.loc.gov/api/search?q=constitution&fo=json |
|
| Search books from 1900-1950 | curl |
https://www.loc.gov/api/search?q=civil%20war&dates=1900/1950&fa=original-format:book&fo=json |
|
| Paginated search for maps | curl |
https://www.loc.gov/api/search?q=map&fa=original-format:map&sp=2&fo=json |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 10:23:04.765283 | 404 | 253ms | |
| 2026-03-23 10:09:54.464422 | 404 | 231ms | |
| 2026-03-23 09:42:13.171186 | 404 | 237ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 10:09:54.464422 | c3ffc078a7eb |
20cbf6c326b0 |
| 2026-03-23 10:23:04.765283 | 20cbf6c326b0 |
5f00c7ae6552 |